Skip to main content
`Ctrl`+`K`

# PetscSynchronizedFGets

Multiple MPI processes all get the same line from a file.

## Synopsis

    PetscErrorCode PetscSynchronizedFGets(MPI_Comm comm, FILE *fp, size_t len, char string[])

Collective

## Input Parameters

- comm - the MPI communicator

- fp - the file pointer

- len - the length of `string`

## Output Parameter

- string - the line read from the file, at end of file `string`[0] == 0

## See Also

`PetscSynchronizedPrintf()`, `PetscSynchronizedFlush()`, `PetscFOpen()`, `PetscViewerASCIISynchronizedPrintf()`, `PetscViewerASCIIPrintf()`

## Level

intermediate

## Location

src/sys/fileio/mprint.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages